Redmine - Defect #16422

In attachment.rb thumbnail function could not return target correct
2014-03-25 03:39 - chih-jen chuang

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour

Target version:

Resolution: No feedback Affected version: 25.0

Description
In the lines from 200 to 207

begin
Redmine: :Thumbnail.generate(self.diskfile, target, size)
# <== could not return target success, even if target is correct.
rescue => e
logger.error "An error...."
return nil
end

add return target

begin
Redmine: :Thumbnail.generate (self.diskfile, target, size)
return target # <== it's correct on my site
rescue => e
logger.error "An error...."
return nil
end

History

#1 - 2014-03-29 17:45 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Could you describe under which conditions it fails to return the target?

#2 - 2014-03-31 03:22 - chih-jen chuang

My environment

OS: ubuntu 12.04

ruby: rvm install ruby 1.9.3p484 rails 3.2.7
database: postgresql 9.1.12

redmine: 2.5.0.stable

ImageMagick: 6.6.9-7

Conditions:

| have a issue with image attachment, but can't see thumbnail of that image.
| trace the code and found the problem in my computer.

#3 - 2014-04-23 05:28 - Toshi MARUYAMA

- Category changed from Issues to Attachments

#4 - 2014-04-23 05:44 - Toshi MARUYAMA

It's strange.

http://en.wikibooks.org/wiki/Ruby_Programming/Syntax/Method Calls#Return_Values

Methods return the value of the last statement executed.
http://en.wikibooks.org/wiki/Ruby_Programming/Syntax/Method_Calls#Return_Values

$ irb

1.9.3-p545 :001 > def test
1.9.3-p545 :002?> begin
1.9.3-p545 :003 > 1
1.9.3-p545 :00472> rescue => e
1.9.3-p545 :005?> return nil
1.9.3-p545 :0067?> end
1.9.3-p545 :0077?> end

=> nil

1.9.3-p545 :008 > test

=> 1

#5 - 2014-04-23 05:48 - Toshi MARUYAMA

It seems you modify Redmine::Thumbnail#generate
source:tags/2.5.1/lib/redmine/thumbnail.rb#L 41

#6 - 2015-04-14 19:36 - Jean-Philippe Lang
- Status changed from Needs feedback to Closed

- Resolution set to No feedback
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.1/lib/redmine/thumbnail.rb#L41
http://www.tcpdf.org

